set clipboard+=unnamedplus
set cursorline                  "Get a cursor line"
set number
"set relativenumber
set history=1000                "Store lots of :cmdline history
set showcmd                     "Show incomplete cmds down the bottom
set showmode                    "Show current mode down the bottom
set gcr=a:blinkon0              "Disable cursor blink
set visualbell                  "No sounds
set autoread                    "Reload files changed outside vim

set ignorecase
set smartcase

set nomodeline

" ================ Toggle Paste ====================
nnoremap ,p :set paste! nopaste?<CR>

" ================ Map WQ and W, Q  ====================
:command WQ wq
:command Wq wq
:command W w
:command Q q
" ================ Toggle Paste ====================
nnoremap ,n :set number! nonumber?<CR>

"===================================================
"Copy filename and Path via VIM
"===================================================
nnoremap ,cd :cd %:p:h<CR>:pwd<CR>
nnoremap ,sp :echo expand("%:p")<CR>

" ================ ESC clears highlight  ====================
nnoremap <esc> :noh<return><esc>

" buffer switching with gn and gp
map gn :bn<cr>
map gp :bp<cr>
map gd :bd<cr>

" hidden buffers (can switch without saving)
set hidden

" no mouse
set mouse=

" always use x clipboard
set clipboard+=unnamedplus

" Use , as leader key
let mapleader=","
